ubuntu下用rvm安装不成功

狩猎女神 Ruby 语言概述 最后由 nxbtch 于2015年07月16日回复

  • 1 回答
  • 2.1k 浏览

ruby.png

错误如图,麻烦老师帮忙看一下

  • nxbtch 2015年07月16日 回答 #1楼
  • 你这个问题应该是新的服务器,很多依赖包都没有装,而你要安装的ruby2.2.1在ubuntu14.04下在rvm中没有编译好的二进制包,所以rvm要把ruby2.2.1的源代码下下来进行编译安装,使用以下命令可以安装依赖,如果还出现依赖包不存在的问题,可以使用 sudo apt-get install -y 加上它提示你要安装的包的名字。

    sudo apt-get install -y build-essential gawk libreadline6-dev zlib1g-dev libssl-dev libyaml-dev libsqlite3-dev sqlite3 autoconf libgdbm-dev automake lib tool bison libffi-dev
  • 0 评论